From 5774338af2e22e1ff541ad9ab368e459e2a2add2 Mon Sep 17 00:00:00 2001
From: Jon Evans <jon@craftyjon.com>
Date: Mon, 10 Mar 2025 18:25:38 -0400
Subject: [PATCH] Fix build with protobuf 30

Fixes https://gitlab.com/kicad/code/kicad/-/issues/20300
---
 include/api/api_handler.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/include/api/api_handler.h b/include/api/api_handler.h
index 7663cf63caf..4010c8049d3 100644
--- a/include/api/api_handler.h
+++ b/include/api/api_handler.h
@@ -93,9 +93,9 @@ protected:
     void registerHandler( HANDLER_RESULT<ResponseType> ( HandlerType::*aHandler )(
             const HANDLER_CONTEXT<RequestType>& ) )
     {
-        std::string typeName = RequestType().GetTypeName();
+        std::string typeName { RequestType().GetTypeName() };
 
-        wxASSERT_MSG( !m_handlers.count( typeName ),
+        wxASSERT_MSG( !m_handlers.contains( typeName ),
                       wxString::Format( "Duplicate API handler for type %s", typeName ) );
 
         m_handlers[typeName] =
-- 
GitLab

